package com.base.filerecoveryrecyclebin.bean


data class RecycleBinBean(
    val namePath: String = "",//文件名称,sp的key,容易重复，所已会覆盖之前的文件
    val path: String = "",//原文件路径
    val backupPath: String = "",//备份文件路径
    var deleteTime: Long = 0,
    val size: Long = 0,
    val mimeType: String = "",
    var deleted: Boolean = false
) {


    companion object {
        val mImageStr: Set<String> = HashSet(
            mutableListOf(
                ".jpg", ".jpeg", ".png", ".gif", ".bmp"
            )
        )
        val mVideoStr: Set<String> = HashSet(
            mutableListOf(
                ".mp4", ".avi", ".mov", ".mkv"
            )
        )
        val mAudioStr: Set<String> = HashSet(
            mutableListOf(".mp3", ".flac", ".wav")
        )
        val mDocumentStr: Set<String> = HashSet(
            mutableListOf(".doc", ".docx", ".xls", ".xlsx", ".ppt", ".pptx", ".pdf")
        )
    }
}

